Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8163549

Unsupported major.minor version error message should be enhanced

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Closed
    • Priority: P4
    • Resolution: Won't Fix
    • Affects Version/s: 8, 9
    • Fix Version/s: None
    • Component/s: core-svc
    • Labels:
    • Subcomponent:
    • CPU:
      x86_64
    • OS:
      linux

      Description

      A DESCRIPTION OF THE REQUEST :
      The message "Unsupported major.minor version 52.0" in unnecessarily cryptic. This message should show both the version of the running JRE and the version of the class file in 'human readable' terms. For example:

      Class version 1.8 is not supported by JRE 1.7.

      JUSTIFICATION :
      We support junior Java programmers. About once a week, we get a question related to this error message.

      EXPECTED VERSUS ACTUAL BEHAVIOR :
      EXPECTED -
      Class version 1.8 is not supported by JRE 1.7.
      ACTUAL -
      Unsupported major.minor version 52.0

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              webbuggrp Webbug Group
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: